[Scipy-tickets] [SciPy] #1472: Recent Arpack changes segfaulting in test suite

SciPy Trac scipy-tickets@scipy....
Sun Jul 3 09:34:50 CDT 2011


#1472: Recent Arpack changes segfaulting in test suite
---------------------------------+------------------------------------------
 Reporter:  rgommers             |       Owner:  pv    
     Type:  defect               |      Status:  new   
 Priority:  high                 |   Milestone:  0.10.0
Component:  scipy.sparse.linalg  |     Version:  0.9.0 
 Keywords:  arpack               |  
---------------------------------+------------------------------------------

Comment(by rgommers):

 Valgrind runs, but doesn't tell me anything before the segfault.  Any
 advice on how to get meaningful info out of it?

 {{{
 valgrind --tool=memcheck --suppressions=valgrind-python.supp python -c
 "from scipy.sparse import linalg; linalg.eigen.test()"
 ==76389== Memcheck, a memory error detector
 ==76389== Copyright (C) 2002-2010, and GNU GPL'd, by Julian Seward et al.
 ==76389== Using Valgrind-3.7.0.SVN and LibVEX; rerun with -h for copyright
 info
 ==76389== Command: python -c from\ scipy.sparse\ import\ linalg;\
 linalg.eigen.test()
 ==76389==
 /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-
 packages/scikits.statsmodels-0.3.0rc1-py2.6.egg/scikits/__init__.py:1:
 UserWarning: Module numpy was already imported from
 /Users/rgommers/Code/numpy/numpy/__init__.pyc, but
 /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-
 packages is being added to sys.path
   __import__('pkg_resources').declare_namespace(__name__)
 /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-
 packages/scikits.statsmodels-0.3.0rc1-py2.6.egg/scikits/__init__.py:1:
 UserWarning: Module scipy was already imported from
 /Users/rgommers/Code/scipy/scipy/__init__.pyc, but
 /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-
 packages is being added to sys.path
   __import__('pkg_resources').declare_namespace(__name__)
 Running unit tests for scipy.sparse.linalg.eigen
 NumPy version 2.0.0.dev-5e4a407
 NumPy is installed in /Users/rgommers/Code/numpy/numpy
 SciPy version 0.10.0.dev
 SciPy is installed in /Users/rgommers/Code/scipy/scipy
 Python version 2.6.4 (r264:75821M, Oct 27 2009, 19:48:32) [GCC 4.0.1
 (Apple Inc. build 5493)]
 nose version 1.0.0
 ..................................................................................................................................................................................................................................................Bus
 error
 }}}

 {{{
 $ valgrind --leak-check=yes --suppressions=valgrind-python.supp python -c
 "from scipy.sparse import linalg; linalg.eigen.test()"
 ==76396== Memcheck, a memory error detector
 ==76396== Copyright (C) 2002-2010, and GNU GPL'd, by Julian Seward et al.
 ==76396== Using Valgrind-3.7.0.SVN and LibVEX; rerun with -h for copyright
 info
 ==76396== Command: python -c from\ scipy.sparse\ import\ linalg;\
 linalg.eigen.test()
 ==76396==
 /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-
 packages/scikits.statsmodels-0.3.0rc1-py2.6.egg/scikits/__init__.py:1:
 UserWarning: Module numpy was already imported from
 /Users/rgommers/Code/numpy/numpy/__init__.pyc, but
 /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-
 packages is being added to sys.path
   __import__('pkg_resources').declare_namespace(__name__)
 /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-
 packages/scikits.statsmodels-0.3.0rc1-py2.6.egg/scikits/__init__.py:1:
 UserWarning: Module scipy was already imported from
 /Users/rgommers/Code/scipy/scipy/__init__.pyc, but
 /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-
 packages is being added to sys.path
   __import__('pkg_resources').declare_namespace(__name__)
 Running unit tests for scipy.sparse.linalg.eigen
 NumPy version 2.0.0.dev-5e4a407
 NumPy is installed in /Users/rgommers/Code/numpy/numpy
 SciPy version 0.10.0.dev
 SciPy is installed in /Users/rgommers/Code/scipy/scipy
 Python version 2.6.4 (r264:75821M, Oct 27 2009, 19:48:32) [GCC 4.0.1
 (Apple Inc. build 5493)]
 nose version 1.0.0
 ..................................................................................................................................................................................................................................................Segmentation
 fault
 }}}

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1472#comment:6>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list